## r-cran-surveillance 1.0.3

=== DESCRIPTION ===
Package: surveillance
Title: Outbreak detection algorithms for surveillance data
Version: 1.0-3
Date: 2009-05-03
Author: M. H\xF6hle with contributions from T. Correa, M. Hofmann, C. Lang, M. Paul, A. Riebler and V. Wimmer
Depends: methods,utils,xtable,spc,sp,maptools,vcd,msm
Suggests: RUnit,digest,coda
Description: A package implementing statistical methods for the surveillance of infectious diseases. This boils down to modelling and outbreak detection of univariate and multivariate time series of counts resulting from routinely collected public health surveillance data. Currently the package contains an implementation of the typically outbreak detection procedures such as Stroup et. al (1989), Farrington et. al (1996), Rossi et al (1999), Rogerson and Yamada (2001), a Bayesian approach and a detector based on generalized likelihood ratios (GLR). Furthermore, inference methods for the infectious disease model in Held et al (2005) are provided. The package contains several real-world datasets and the ability to simulate outbreak data.
Maintainer: Michael H\xF6hle <hoehle@stat.uni-muenchen.de> 
License: GPL-2 
URL: http://surveillance.r-forge.r-project.org/
ZipData: no 
Encoding: latin1
Revision: 110
Packaged: Tue Mar 10 05:24:05 2009; rforge

## r-cran-surveillance 1.1.6

=== debian/changelog ===
r-cran-surveillance (1.1.6-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.8.4 (no changes needed)
  * debian/{control,rules}: Depends: ${R:Depends}
  * Source format 3.0 (quilt)
  * Added README.Debian to explain how package can be verified

 -- Andreas Tille <tille@debian.org>  Fri, 04 Jun 2010 13:31:40 +0200

r-cran-surveillance (1.1.2-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - XS-Autobuild: yes to enable autobuilding
    - Build-Depends: r-cran-matrix
    - Standards-Version: 3.8.3 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Wed, 21 Oct 2009 14:25:07 +0200

r-cran-surveillance (1.0.3-2) unstable; urgency=low

  * Change section to contrib/gnu-r
  * Add r-cran-vr and r-cran-colorspace to build-depends to fix FTBFS due to
    missing mass and colorspace libraries (Thanks to Scott Kitterman
    <scott@kitterman.com> for providing the patch)
    Closes: #539094
  * Standards-Version: 3.8.2 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Jul 2009 19:25:11 +0200

r-cran-surveillance (1.0.3-1) unstable; urgency=low

  * Initial release (closes: #515647).

 -- Andreas Tille <tille@debian.org>  Tue, 10 Mar 2009 13:11:14 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/-/\./g" \
http://cran.r-project.org/src/contrib/surveillance_([-0-9\.]*)\.tar\.gz

# sometimes r-forge contains interesting developer releases
# http://r-forge.r-project.org/src/contrib/surveillance_([-0-9\.]*)\.tar\.gz

## r-cran-surveillance 1.2

=== DESCRIPTION ===
Package: surveillance
Title: Modeling and monitoring discrete response time series
Version: 1.2-1
Date: 2010-05-25
Author: M. Hhle with contributions from T. Correa, M. Hofmann, C.
        Lang, M. Paul, A. Riebler, S. Steiner, M. Virtanen and V.
        Wimmer
Depends: methods,utils,xtable,spc,sp,maptools,vcd,msm,Matrix
Suggests: RUnit,digest,coda,gamlss,splancs
Description: A package implementing statistical methods for the
        modeling and change-point detection in time series of counts,
        proportions and categorical data. Focus is on outbreak
        detection in count data time series originating from public
        health surveillance of infectious diseases, but applications
        could just as well originate from environmetrics, reliability
        engineering, econometrics or social sciences.  Currently the
        package contains implementations typical outbreak detection
        procedures such as Stroup et. al (1989), Farrington et al,
        (1996), Rossi et al. (1999), Rogerson and Yamada (2001), a
        Bayesian approach, negative binomial CUSUM methods and a
        detector based on generalized likelihood ratios. Furthermore,
        inference methods for the retrospective infectious disease
        model in Held et al. (2005), Held et al. (2006) and Paul et al.
        (2008) are provided. A novel CUSUM approach combining logistic
        and multinomial logistic modelling is also included. The
        package contains several real-world datasets, the ability to
        simulate outbreak data, visualize the results of the monitoring
        in temporal, spatial or spatio-temporal fashion.
Maintainer: Michael Hhle <hoehle@stat.uni-muenchen.de>
License: GPL-2
URL: http://surveillance.r-forge.r-project.org/
ZipData: no
Encoding: latin1
Packaged: 2010-06-09 14:52:39 UTC; hoehle
Repository: CRAN
Date/Publication: 2010-06-10 06:26:53

## r-cran-surveillance 1.2-1

=== debian/changelog ===
r-cran-surveillance (1.2-1-5) unstable; urgency=low

  * debian/control:
     - Standards-Version: 3.9.4 (no changes needed)
     - DM-Upload-Allowed removed
     - normalised using `cme fix dpkg-control`
     - drop versioned Build-Depends from r-base-dev because the
       version in latest stable is sufficient
       Closes: #709189
     - drop Build-Depends from dpkg-dev at all
     - Add Build-Depends r-cran-rcpp
  * debian/rules:
     - s/DEB_COMPRESS_EXCLUDE/DEB_COMPRESS_EXCLUDE_ALL/
     - delete non-working code to get hardening
  * README.Debian: Explain why we currently stick to an outdated
    version
  * debian/patches/namespace.patch: Add missing NAMESPACE

 -- Andreas Tille <tille@debian.org>  Sat, 25 May 2013 10:06:46 +0200

r-cran-surveillance (1.2-1-4) unstable; urgency=low

  * Needs rebuild using latest R to get proper NAMESPACE
  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - Build-Depends: r-base-dev (>= 2.14.2~20120222),
                      dpkg-dev (>= 1.16.1~)
  * debian/rules:
     - Remove R:Depends substitution variable which is now
       included in /usr/share/R/debian/r-cran.mk
     - install manual
     - enable hardening flags
  * debian/README.test: explain how package can be tested
  * debian/doc-base: declare manual to doc-base
  * debian/copyright: DEP5
  * debhelper 9 (control+compat)
  * debian/upstream

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2012 09:25:50 +0200

r-cran-surveillance (1.2-1-3) unstable; urgency=low

  * Really applied patch from Sebastian Carneiro
    Closes: #631141 (LP: #755927)
  * Standards-Version: 3.9.2 (no changes needed)
  * Fixed Vcs fields

 -- Andreas Tille <tille@debian.org>  Mon, 04 Jul 2011 16:43:11 +0200

r-cran-surveillance (1.2-1-2) unstable; urgency=low

  [Sebastian Carneiro]
  * debian/control: Build dependency on r-cran-vr replaced by r-cran-mass to
    solve conflict in Ubuntu Oneiric.
    Closes: #631141

  [Andreas Tille]
  * Standards-Version: 3.9.1
  * Debhelper 8 (compat+control)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Jun 2011 22:31:40 +0200

r-cran-surveillance (1.2-1-1) unstable; urgency=low

  * New upstream version
  * debian/watch: Don't replace dashes '-' in upstream versions by
    dots '.'

 -- Andreas Tille <tille@debian.org>  Fri, 25 Jun 2010 13:36:17 +0200

=== debian/control ===
Source: r-cran-surveillance
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Sebastian Carneiro <scarneiro@speedy.com.ar>
Section: contrib/gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-rcpp,
               r-cran-xtable,
               r-cran-spc,
               r-cran-maptools,
               r-cran-vcd,
               r-cran-msm,
               r-cran-mass,
               r-cran-colorspace,
               r-cran-matrix
Standards-Version: 3.9.4
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-cran-surveillance/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/R/r-cran-surveillance/trunk/
Homepage: http://surveillance.r-forge.r-project.org
XS-Autobuild: yes

Package: r-cran-surveillance
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends},
         r-cran-xtable,
         r-cran-spc,
         r-cran-maptools,
         r-cran-vcd,
         r-cran-msm,
         r-cran-mass,
         r-cran-colorspace
Description: development and the evaluation of epidemiological outbreak detection algorithms
 The R-package 'surveillance' is a framework for the development and the
 evaluation of outbreak detection algorithms in univariate and multivariate
 routine collected public health surveillance data. It is hosted on CRAN..
 .
 The intention of the R-package surveillance is to provide open source
 software for the visualization and monitoring of count data time series
 in public health surveillance. Potential users are epidemiologists and
 others working in applied infectious disease epidemiology.
 Furthermore, surveillance also provides a data structure and framework
 for methodological developments of surveillance algorithms.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-surveillance package
# Copyright 2008 by Andreas Tille <tille@debian.org>

include /usr/share/R/debian/r-cran.mk

DEB_COMPRESS_EXCLUDE_ALL = .pdf

clean::
	rm -f src/surveillance.so

install/$(package)::
	chmod 644 debian/$(package)/usr/lib/R/site-library/surveillance/shapes/berlin.*
	mkdir -p debian/$(package)/usr/share/doc/$(package)/
	cp -a ..pdf debian/$(package)/usr/share/doc/$(package)/manual.pdf

## r-cran-surveillance 1.7

=== DESCRIPTION ===
Package: surveillance
Title: Temporal and Spatio-Temporal Modeling and Monitoring of Epidemic
        Phenomena
Version: 1.7-0
Date: 2013-11-19
Authors@R: c(person("Michael", "Hhle",
                    email = "Michael.Hoehle@stat.uni-muenchen.de",
                    role = c("aut", "cre", "ths")),
             person("Sebastian", "Meyer",
                    email = "Sebastian.Meyer@ifspm.uzh.ch",
                    role = "aut"),
             person("Michaela", "Paul",
                    email = "Michaela.Paul@ifspm.uzh.ch",
                    role = "aut"),
             person("Leonhard", "Held",
                    email = "Leonhard.Held@ifspm.uzh.ch",
                    role = c("ctb", "ths")),
             person("T.", "Correa", role = "ctb"),
             person("M.", "Hofmann", role = "ctb"),
             person("C.", "Lang", role = "ctb"),
             person("A.", "Riebler", role = "ctb"),
             person("D.", "Sabans Bov", role = "ctb"),
             person("M.", "Salmon", role = "ctb"),
             person("S.", "Steiner", role = "ctb"),
             person("M.", "Virtanen", role = "ctb"),
             person("V.", "Wimmer", role = "ctb"),
             person("R Core Team", role = "ctb",
                    comment = "A few code segments are modified versions of
                               code from base R"))
Author: Michael Hhle [aut, cre, ths], Sebastian Meyer [aut],
        Michaela Paul [aut], Leonhard Held [ctb, ths],
        T. Correa [ctb], M. Hofmann [ctb], C. Lang [ctb], A. Riebler [ctb],
        D. Sabans Bov [ctb], M. Salmon [ctb], S. Steiner [ctb],
        M. Virtanen [ctb], V. Wimmer [ctb], R Core Team [ctb]
        (A few code segments are modified versions of code from base R)
Maintainer: Michael Hhle <Michael.Hoehle@stat.uni-muenchen.de>
Depends: R (>= 2.15.2), methods, grDevices, graphics, stats, utils,
        Rcpp, sp (>= 1.0-6), xtable, polyCub (>= 0.4-0)
Imports: MASS, Matrix, spatstat (>= 1.34-0)
LinkingTo: Rcpp
Suggests: msm, spc, colorspace, animation, quadprog, parallel, memoise,
        polyclip, rgeos, gpclib, maptools, intervals, spdep, numDeriv,
        maxLik, RUnit, digest, coda, splancs, gamlss
Description: A package implementing statistical methods for the modeling and
        change-point detection in time series of counts, proportions and
        categorical data, as well as for the modeling of continuous-time
        epidemic phenomena, e.g. discrete-space setups such as the spatially
        enriched Susceptible-Exposed-Infectious-Recovered (SEIR) models for
        surveillance data, or continuous-space point process data such as the
        occurrence of disease or earthquakes. Main focus is on outbreak
        detection in count data time series originating from public health
        surveillance of infectious diseases, but applications could just as well
        originate from environmetrics, reliability engineering, econometrics or
        social sciences.
        Currently the package contains implementations of typical outbreak
        detection procedures such as Stroup et. al (1989), Farrington et al
        (1996), Rossi et al (1999), Rogerson and Yamada (2001), a Bayesian
        approach, negative binomial CUSUM methods and a detector based on
        generalized likelihood ratios.
        Furthermore, inference methods for the retrospective infectious disease
        model in Held et al (2005), Held et al (2006), Paul et al (2008) and
        Paul and Held (2011) are provided. A novel CUSUM approach combining
        logistic and multinomial logistic modelling is also included.
        Continuous self-exciting spatio-temporal point processes are modeled
        through additive-multiplicative conditional intensities as described in
        Hhle (2009) ("twinSIR", discrete space) and Meyer et al (2012)
        ("twinstim", continuous space).
        The package contains several real-world datasets, the ability to
        simulate outbreak data, visualize the results of the monitoring in
        temporal, spatial or spatio-temporal fashion.
License: GPL-2
URL: http://surveillance.r-forge.r-project.org/
Encoding: latin1
Packaged: 2013-11-19 11:29:57 UTC; sebastian
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-11-19 16:57:55

## r-cran-surveillance 1.7-0

=== debian/changelog ===
r-cran-surveillance (1.7-0-1) unstable; urgency=low

  * New upstream version
  * cme fix dpkg-control
  * Build-Depends: r-cran-spatstat, r-cran-polycub
  * debian/lintian-overrides: r-cran-rcpp seems to inject an rpath
    definition and we can not really prevent this
  * debian/rules: fix permissions
  * debian/patches/prevent_test_from_writing_to_usr_lib.patch: make sure
    tests will not try to write to /usr/lib/R

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jan 2014 16:04:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>,
            Sebastian Carneiro <scarneiro@speedy.com.ar>
 Section: contrib/gnu-r
+XS-Autobuild: yes
 Priority: optional
 Build-Depends: debhelper (>= 9),
                cdbs,
@@ -15,12 +16,13 @@
                r-cran-msm,
                r-cran-mass,
                r-cran-colorspace,
-               r-cran-matrix
-Standards-Version: 3.9.4
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-cran-surveillance/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/R/r-cran-surveillance/trunk/
+               r-cran-matrix,
+               r-cran-spatstat,
+               r-cran-polycub
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-surveillance/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-surveillance/trunk/
 Homepage: http://surveillance.r-forge.r-project.org
-XS-Autobuild: yes
 
 Package: r-cran-surveillance
 Architecture: any
@@ -32,7 +34,9 @@
          r-cran-vcd,
          r-cran-msm,
          r-cran-mass,
-         r-cran-colorspace
+         r-cran-colorspace,
+         r-cran-spatstat,
+         r-cran-polycub
 Description: development and the evaluation of epidemiological outbreak detection algorithms
  The R-package 'surveillance' is a framework for the development and the
  evaluation of outbreak detection algorithms in univariate and multivariate
@@ -44,4 +48,3 @@
  others working in applied infectious disease epidemiology.
  Furthermore, surveillance also provides a data structure and framework
  for methodological developments of surveillance algorithms.
-

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,6 @@
 	rm -f src/surveillance.so
 
 install/$(package)::
-	chmod 644 debian/$(package)/usr/lib/R/site-library/surveillance/shapes/berlin.*
-	mkdir -p debian/$(package)/usr/share/doc/$(package)/
-	cp -a ..pdf debian/$(package)/usr/share/doc/$(package)/manual.pdf
+	chmod 644 debian/$(package)/usr/lib/R/site-library/$(cranName)/shapes/berlin.*
+	chmod 644 debian/$(package)/usr/lib/R/site-library/$(cranName)/unitTests/*.R
+	chmod 644 debian/$(package)/usr/lib/R/site-library/$(cranName)/doc/*.RData

## r-cran-surveillance 1.8

=== DESCRIPTION ===
Package: surveillance
Title: Temporal and Spatio-Temporal Modeling and Monitoring of Epidemic
        Phenomena
Version: 1.8-0
Date: 2014-06-16
Authors@R: c(MH = person("Michael", "Hhle",
                  email = "hoehle@math.su.se",
                  role = c("aut", "cre", "ths")),
             SM = person("Sebastian", "Meyer",
                  email = "Sebastian.Meyer@ifspm.uzh.ch",
                  role = "aut"),
             MP = person("Michaela", "Paul",
                  email = "Michaela.Paul@ifspm.uzh.ch",
                  role = "aut"),
             LH = person("Leonhard", "Held",
                  email = "Leonhard.Held@ifspm.uzh.ch",
                  role = c("ctb", "ths")),
             person("Thais", "Correa", role = "ctb"),
             person("Mathias", "Hofmann", role = "ctb"),
             person("Christian", "Lang", role = "ctb"),
             person("Juliane", "Manitz", role = "ctb"),
             person("Andrea", "Riebler", role = "ctb"),
             person("Daniel", "Sabans Bov", role = "ctb"),
             person("Malle", "Salmon", role = "ctb"),
             person("Dirk", "Schumacher", role = "ctb"),
             person("Stefan", "Steiner", role = "ctb"),
             person("Mikko", "Virtanen", role = "ctb"),
             person("Valentin", "Wimmer", role = "ctb"),
             person("R Core Team", role = "ctb",
                    comment = "A few code segments are modified versions of
                               code from base R"))
Author: Michael Hhle [aut, cre, ths], Sebastian Meyer [aut],
        Michaela Paul [aut], Leonhard Held [ctb, ths],
        Thais Correa [ctb], Mathias Hofmann [ctb], Christian Lang [ctb],
        Juliane Manitz [ctb], Andrea Riebler [ctb], Daniel Sabans Bov [ctb],
        Malle Salmon [ctb], Dirk Schumacher [ctb], Stefan Steiner [ctb],
        Mikko Virtanen [ctb], Valentin Wimmer [ctb], R Core Team [ctb]
        (A few code segments are modified versions of code from base R)
Maintainer: Michael Hhle <hoehle@math.su.se>
Depends: R (>= 2.15.2), methods, grDevices, graphics, stats, utils,
        Rcpp, sp (>= 1.0-15), xtable, polyCub (>= 0.4-2)
Imports: MASS, Matrix, spatstat (>= 1.36-0)
LinkingTo: Rcpp
Suggests: parallel, lattice, grid, gridExtra, colorspace, scales,
        animation, msm, spc, quadprog, memoise, polyclip, rgeos,
        gpclib, maptools, intervals, spdep, numDeriv, maxLik, testthat,
        coda, splancs, gamlss, INLA, runjags
Description: A package implementing statistical methods for the modeling and
        change-point detection in time series of counts, proportions and
        categorical data, as well as for the modeling of continuous-time
        epidemic phenomena, e.g. discrete-space setups such as the spatially
        enriched Susceptible-Exposed-Infectious-Recovered (SEIR) models for
        surveillance data, or continuous-space point process data such as the
        occurrence of disease or earthquakes. Main focus is on outbreak
        detection in count data time series originating from public health
        surveillance of infectious diseases, but applications could just as well
        originate from environmetrics, reliability engineering, econometrics or
        social sciences.
        Currently the package contains implementations of typical
        outbreak detection procedures such as Farrington et al (1996),
        Noufaily et al (2012) or the negative binomial LR-CUSUM method
        described in Hoehle and Paul (2008). Furthermore, inference
        methods for the retrospective infectious disease model in Held
        et al (2005), Held et al (2006), Paul et al (2008) and Paul
        and Held (2011) are provided. A novel CUSUM approach combining
        logistic and multinomial logistic modelling is also included.
        Continuous self-exciting spatio-temporal point processes are
        modeled through additive-multiplicative conditional
        intensities as described in Hhle (2009) ("twinSIR", discrete
        space) and Meyer et al (2012) ("twinstim", continuous space).
        The package contains several real-world data sets, the ability
        to simulate outbreak data, visualize the results of the
        monitoring in temporal, spatial or spatio-temporal fashion.
	Note: The suggested package INLA is unfortunately not available from 
        any mainstream repository - in case one wants to use the 'boda' 
	algorithm one needs to manually install the INLA package 
        as specified at http://www.r-inla.org/download. 
License: GPL-2
URL: http://surveillance.r-forge.r-project.org/
BugReports:
        https://r-forge.r-project.org/tracker/?func=browse&group_id=45&atid=237
Encoding: latin1
Packaged: 2014-06-17 08:31:14 UTC; hoehle
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-06-17 12:30:05

## r-cran-surveillance 1.8-0

=== debian/changelog ===
r-cran-surveillance (1.8-0-1) unstable; urgency=medium

  * New upstream version
  * Versioned Build-Depends: r-cran-polycub (>= 0.4-2),
                             r-cran-spatstat (>= 1.36-0)
  * Discussing (Build-)Depends with upstrem lead to the
    move of the following (Build-)Depends to suggests:
      r-cran-spc,
      r-cran-maptools,
      r-cran-vcd,
      r-cran-msm,
      r-cran-colorspace
  * As a consequence of not depending from r-cran-maptools
    the package can go to main now
  * Moved debian/upstream to debian/upstream/metadata
  * Add autopkgtest
  * Add r-cran-spdep, r-cran-maxlik to Recommends since these are used in
    unit tests

 -- Andreas Tille <tille@debian.org>  Mon, 23 Jun 2014 14:45:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,18 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Sebastian Carneiro <scarneiro@speedy.com.ar>
-Section: contrib/gnu-r
-XS-Autobuild: yes
+Section: gnu-r
 Priority: optional
+Testsuite: autopkgtest
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev,
                r-cran-rcpp,
                r-cran-xtable,
-               r-cran-spc,
-               r-cran-maptools,
-               r-cran-vcd,
-               r-cran-msm,
                r-cran-mass,
-               r-cran-colorspace,
                r-cran-matrix,
-               r-cran-spatstat,
-               r-cran-polycub
+               r-cran-spatstat (>= 1.36-0),
+               r-cran-polycub (>= 0.4-2)
 Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-surveillance/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-surveillance/trunk/
@@ -29,14 +24,17 @@
 Depends: ${shlibs:Depends},
          ${R:Depends},
          r-cran-xtable,
-         r-cran-spc,
-         r-cran-maptools,
-         r-cran-vcd,
-         r-cran-msm,
          r-cran-mass,
-         r-cran-colorspace,
-         r-cran-spatstat,
-         r-cran-polycub
+         r-cran-spatstat (>= 1.36-0),
+         r-cran-polycub (>= 0.4-2)
+Recommends: r-cran-spc,
+            r-cran-maptools,
+            r-cran-vcd,
+            r-cran-msm,
+            r-cran-colorspace,
+            r-cran-spdep,
+            r-cran-memoise,
+            r-cran-maxlik
 Description: development and the evaluation of epidemiological outbreak detection algorithms
  The R-package 'surveillance' is a framework for the development and the
  evaluation of outbreak detection algorithms in univariate and multivariate

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-spdep, r-cran-memoise, r-cran-maxlik
Restrictions: allow-stderr

## r-cran-surveillance 1.9-1

=== debian/changelog ===
r-cran-surveillance (1.9-1-1) unstable; urgency=medium

  * New upstream version
  * autopkgtest needs versioned dependency freom r-cran-testthat

 -- Andreas Tille <tille@debian.org>  Wed, 08 Jul 2015 06:08:33 +0200

r-cran-surveillance (1.8-3-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * update d/copyright
  * Add r-cran-rcpp as autopkgtest dependency as well as Recommends

 -- Andreas Tille <tille@debian.org>  Tue, 21 Apr 2015 17:10:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Uploaders: Andreas Tille <tille@debian.org>,
            Sebastian Carneiro <scarneiro@speedy.com.ar>
 Section: gnu-r
+Testsuite: autopkgtest
 Priority: optional
-Testsuite: autopkgtest
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev,
@@ -12,9 +12,9 @@
                r-cran-xtable,
                r-cran-mass,
                r-cran-matrix,
-               r-cran-spatstat (>= 1.36-0),
-               r-cran-polycub (>= 0.4-2)
-Standards-Version: 3.9.5
+               r-cran-spatstat,
+               r-cran-polycub
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-surveillance/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-surveillance/trunk/
 Homepage: http://surveillance.r-forge.r-project.org
@@ -25,8 +25,8 @@
          ${R:Depends},
          r-cran-xtable,
          r-cran-mass,
-         r-cran-spatstat (>= 1.36-0),
-         r-cran-polycub (>= 0.4-2)
+         r-cran-spatstat,
+         r-cran-polycub
 Recommends: r-cran-spc,
             r-cran-maptools,
             r-cran-vcd,
@@ -34,7 +34,8 @@
             r-cran-colorspace,
             r-cran-spdep,
             r-cran-memoise,
-            r-cran-maxlik
+            r-cran-maxlik,
+            r-cran-rcpp
 Description: development and the evaluation of epidemiological outbreak detection algorithms
  The R-package 'surveillance' is a framework for the development and the
  evaluation of outbreak detection algorithms in univariate and multivariate

## r-cran-surveillance 1.10

=== DESCRIPTION ===
Package: surveillance
Title: Temporal and Spatio-Temporal Modeling and Monitoring of Epidemic
        Phenomena
Version: 1.10-0
Date: 2015-11-04
Authors@R: c(MH = person("Michael", "Hhle",
                  email = "hoehle@math.su.se",
                  role = c("aut", "ths")),
             SM = person("Sebastian", "Meyer",
                  email = "Sebastian.Meyer@ifspm.uzh.ch",
                  role = c("aut", "cre")),
             MP = person("Michaela", "Paul", role = "aut"),
             LH = person("Leonhard", "Held",
                  email = "Leonhard.Held@uzh.ch",
                  role = c("ctb", "ths")),
             person("Thais", "Correa", role = "ctb"),
             person("Mathias", "Hofmann", role = "ctb"),
             person("Christian", "Lang", role = "ctb"),
             person("Juliane", "Manitz", role = "ctb"),
             person("Andrea", "Riebler", role = "ctb"),
             person("Daniel", "Sabans Bov", role = "ctb"),
             person("Malle", "Salmon", role = "ctb"),
             person("Dirk", "Schumacher", role = "ctb"),
             person("Stefan", "Steiner", role = "ctb"),
             person("Mikko", "Virtanen", role = "ctb"),
             person("Wei", "Wei", role = "ctb"),
             person("Valentin", "Wimmer", role = "ctb"),
             person("R Core Team", role = "ctb",
                    comment = "A few code segments are modified versions of
                               code from base R"))
Author: Michael Hhle [aut, ths], Sebastian Meyer [aut, cre],
        Michaela Paul [aut], Leonhard Held [ctb, ths],
        Thais Correa [ctb], Mathias Hofmann [ctb], Christian Lang [ctb],
        Juliane Manitz [ctb], Andrea Riebler [ctb], Daniel Sabans Bov [ctb],
        Malle Salmon [ctb], Dirk Schumacher [ctb], Stefan Steiner [ctb],
        Mikko Virtanen [ctb], Wei Wei [ctb], Valentin Wimmer [ctb], R Core Team [ctb]
        (A few code segments are modified versions of code from base R)
Maintainer: Sebastian Meyer <Sebastian.Meyer@ifspm.uzh.ch>
Depends: R (>= 3.0.2), methods, grDevices, graphics, stats, utils, sp
        (>= 1.0-15), xtable, polyCub (>= 0.4-3)
Imports: Rcpp (>= 0.11.0), MASS, Matrix, spatstat (>= 1.36-0)
LinkingTo: Rcpp
Suggests: parallel, grid, xts, gridExtra, lattice, colorspace, scales,
        animation, msm, spc, quadprog, memoise, polyclip, rgeos,
        gpclib, maptools, intervals, spdep, numDeriv, maxLik, gsl,
        testthat, coda, splancs, gamlss, INLA, runjags
Description: Implementation of statistical methods for the modeling and
        change-point detection in time series of counts, proportions and
        categorical data, as well as for the modeling of continuous-time
        epidemic phenomena, e.g., discrete-space setups such as the spatially
        enriched Susceptible-Exposed-Infectious-Recovered (SEIR) models,
        or continuous-space point process data such as the
        occurrence of infectious diseases. Main focus is on outbreak
        detection in count data time series originating from public health
        surveillance of communicable diseases, but applications could just as well
        originate from environmetrics, reliability engineering, econometrics or
        social sciences.
        Currently, the package contains implementations of many typical
        outbreak detection procedures such as Farrington et al (1996),
        Noufaily et al (2012) or the negative binomial LR-CUSUM method
        described in Hhle and Paul (2008). A novel CUSUM approach combining
        logistic and multinomial logistic modelling is also included.
        Furthermore, inference methods for the retrospective infectious
        disease models in Held et al (2005), Held et al (2006),
        Paul et al (2008), Paul and Held (2011), Held and Paul (2012),
        and Meyer and Held (2014) are provided. 
        Continuous self-exciting spatio-temporal point processes are
        modeled through additive-multiplicative conditional
        intensities as described in Hhle (2009) ('twinSIR', discrete
        space) and Meyer et al (2012) ('twinstim', continuous space).
        The package contains several real-world data sets, the ability
        to simulate outbreak data, visualize the results of the
        monitoring in temporal, spatial or spatio-temporal fashion.
	Note: Using the 'boda' algorithm requires the 'INLA'
        package, which should be installed automatically through the
        specified Additional_repositories, if uninstalled dependencies
        are also requested. As this might not work under OS X it
        might be necessary to manually install the 'INLA' package as
        specified at <http://www.r-inla.org/download>.
License: GPL-2
URL: http://surveillance.r-forge.r-project.org/
Additional_repositories: http://www.math.ntnu.no/inla/R/stable
BugReports: https://r-forge.r-project.org/tracker/?group_id=45
Encoding: latin1
NeedsCompilation: yes
Packaged: 2015-11-06 09:11:33 UTC; sebastian
Repository: CRAN
Date/Publication: 2015-11-06 11:51:39

## r-cran-surveillance 1.10-0

=== debian/changelog ===
r-cran-surveillance (1.10-0-2) unstable; urgency=medium

  [ Sebastian Meyer ]
  * Update copyright information
  * Update description

  [ Andreas Tille ]
  * Recommends: r-cran-gsl

 -- Andreas Tille <tille@debian.org>  Wed, 25 Nov 2015 18:22:55 +0100

r-cran-surveillance (1.10-0-1) unstable; urgency=medium

  * New upstream version
  * Recommends: r-cran-spdep (uploaded to new)

 -- Andreas Tille <tille@debian.org>  Tue, 10 Nov 2015 13:42:43 +0100

=== debian/control ===
Source: r-cran-surveillance
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Sebastian Carneiro <scarneiro@speedy.com.ar>
Section: gnu-r
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-sp,
               r-cran-rcpp,
               r-cran-xtable,
               r-cran-mass,
               r-cran-matrix,
               r-cran-spatstat,
               r-cran-polycub
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-surveillance/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-surveillance/trunk/
Homepage: http://surveillance.r-forge.r-project.org

Package: r-cran-surveillance
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends},
         r-cran-sp,
         r-cran-rcpp,
         r-cran-xtable,
         r-cran-mass,
         r-cran-matrix,
         r-cran-spatstat,
         r-cran-polycub
Recommends: r-cran-spc,
            r-cran-maptools,
            r-cran-msm,
            r-cran-colorspace,
            r-cran-spdep,
            r-cran-memoise,
            r-cran-gsl,
            r-cran-quadprog,
            r-cran-coda
Suggests: r-cran-xts, 
          r-cran-gridextra, 
          r-cran-scales, 
          r-cran-maxlik, 
          r-cran-numderiv
Description: GNU R package for the Modeling and Monitoring of Epidemic Phenomena
 Implementation of statistical methods for the modeling and change-point
 detection in time series of counts, proportions and categorical data, as
 well as for the modeling of continuous-time epidemic phenomena, e.g.,
 discrete-space setups such as the spatially enriched
 Susceptible-Exposed-Infectious-Recovered (SEIR) models, or
 continuous-space point process data such as the occurrence of infectious
 diseases. Main focus is on outbreak detection in count data time series
 originating from public health surveillance of communicable diseases,
 but applications could just as well originate from environmetrics,
 reliability engineering, econometrics or social sciences.
 .
 Currently, the package contains implementations of many typical
 outbreak detection procedures such as Farrington et al (1996), Noufaily
 et al (2012) or the negative binomial LR-CUSUM method described in Höhle
 and Paul (2008). A novel CUSUM approach combining logistic and
 multinomial logistic modelling is also included.  Furthermore, inference
 methods for the retrospective infectious disease models in Held et al
 (2005), Held et al (2006), Paul et al (2008), Paul and Held (2011), Held
 and Paul (2012), and Meyer and Held (2014) are provided.
 .
 Continuous self-exciting spatio-temporal point processes are modeled
 through additive-multiplicative conditional intensities as described in
 Höhle (2009) ('twinSIR', discrete space) and Meyer et al (2012)
 ('twinstim', continuous space).
 .
 The package contains several real-world data sets, the ability to
 simulate outbreak data, visualize the results of the monitoring in
 temporal, spatial or spatio-temporal fashion.
 .
 Note: Using the 'boda' algorithm requires the 'INLA' package, which
 is available from <http://www.r-inla.org/download>.

=== debian/rules ===
--- 
+++ 
@@ -12,5 +12,5 @@
 
 install/$(package)::
 	chmod 644 debian/$(package)/usr/lib/R/site-library/$(cranName)/shapes/berlin.*
-	chmod 644 debian/$(package)/usr/lib/R/site-library/$(cranName)/unitTests/*.R
 	chmod 644 debian/$(package)/usr/lib/R/site-library/$(cranName)/doc/*.RData
+	chmod 644 debian/$(package)/usr/lib/R/site-library/$(cranName)/jags/bhpm.bugs

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat (>= 0.10.0), r-cran-spdep, r-cran-memoise, r-cran-maxlik, r-cran-rcpp
Restrictions: allow-stderr

=== debian/watch ===
--- 
+++ 
@@ -1,5 +1,5 @@
 version=3
-opts="uversionmangle=s/-/\./g" \
+# opts="uversionmangle=s/-/\./g" \
 http://cran.r-project.org/src/contrib/surveillance_([-0-9\.]*)\.tar\.gz
 
 # sometimes r-forge contains interesting developer releases

## r-cran-surveillance 1.12.1

=== debian/changelog ===
r-cran-surveillance (1.12.1-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Tue, 24 May 2016 22:08:51 +0200

r-cran-surveillance (1.11.0-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 17 Feb 2016 13:44:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Andreas Tille <tille@debian.org>,
            Sebastian Carneiro <scarneiro@speedy.com.ar>
 Section: gnu-r
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9),
                cdbs,
@@ -15,8 +14,8 @@
                r-cran-matrix,
                r-cran-spatstat,
                r-cran-polycub
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-surveillance/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-surveillance/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-surveillance/trunk/
 Homepage: http://surveillance.r-forge.r-project.org
 
@@ -40,10 +39,10 @@
             r-cran-gsl,
             r-cran-quadprog,
             r-cran-coda
-Suggests: r-cran-xts, 
-          r-cran-gridextra, 
-          r-cran-scales, 
-          r-cran-maxlik, 
+Suggests: r-cran-xts,
+          r-cran-gridextra,
+          r-cran-scales,
+          r-cran-maxlik,
           r-cran-numderiv
 Description: GNU R package for the Modeling and Monitoring of Epidemic Phenomena
  Implementation of statistical methods for the modeling and change-point

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-surveillance package
# Copyright 2008 by Andreas Tille <tille@debian.org>

include /usr/share/R/debian/r-cran.mk

DEB_COMPRESS_EXCLUDE_ALL = .pdf

clean::
	rm -f src/surveillance.so

## r-cran-surveillance 1.13.0

=== debian/changelog ===
r-cran-surveillance (1.13.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 22 Dec 2016 19:48:15 +0100

r-cran-surveillance (1.12.2-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Wed, 23 Nov 2016 21:32:31 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
            Sebastian Carneiro <scarneiro@speedy.com.ar>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               cdbs,
+Build-Depends: debhelper (>= 10),
+               dh-r,
                r-base-dev,
                r-cran-sp,
                r-cran-rcpp,
@@ -17,33 +17,15 @@
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-surveillance/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-surveillance/trunk/
-Homepage: http://surveillance.r-forge.r-project.org
+Homepage: https://cran.r-project.org/package=surveillance
 
 Package: r-cran-surveillance
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${R:Depends},
-         r-cran-sp,
-         r-cran-rcpp,
-         r-cran-xtable,
-         r-cran-mass,
-         r-cran-matrix,
-         r-cran-spatstat,
-         r-cran-polycub
-Recommends: r-cran-spc,
-            r-cran-maptools,
-            r-cran-msm,
-            r-cran-colorspace,
-            r-cran-spdep,
-            r-cran-memoise,
-            r-cran-gsl,
-            r-cran-quadprog,
-            r-cran-coda
-Suggests: r-cran-xts,
-          r-cran-gridextra,
-          r-cran-scales,
-          r-cran-maxlik,
-          r-cran-numderiv
+         ${misc:Depends},
+         ${R:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R package for the Modeling and Monitoring of Epidemic Phenomena
  Implementation of statistical methods for the modeling and change-point
  detection in time series of counts, proportions and categorical data, as

=== debian/watch ===
version=4

http://cran.r-project.org/src/contrib/surveillance_([-0-9\.]*)\.tar\.gz

# sometimes r-forge contains interesting developer releases
# http://r-forge.r-project.org/src/contrib/surveillance_([-0-9\.]*)\.tar\.gz
